import bb.cascades 1.0



/*

 * Settings Category

 *     Defines a sectional component of the settings menu

 */

Container 

{

    property alias title : categoryName.text

    property Container items : null

    preferredWidth: Infinity

    horizontalAlignment: HorizontalAlignment.Fill

    topPadding: 20

    bottomPadding: 20

    layout: StackLayout {



    }

    //name of the category

    Container {

        Label

        {

            id: categoryName

            textStyle.fontWeight: FontWeight.W500

            textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 10.0

        } 

        

        horizontalAlignment: style.settingsLabelAlignment

        leftPadding: 30

        rightPadding: 30

        bottomPadding: 20

    }

   

    BlueDivider

    {

        

    }

    Container

    {

        topPadding: 10

        leftPadding: 20

        rightPadding: 20

        onCreationCompleted: {

            add(items)

        }

    }

}

