import bb.cascades 1.0
import custom.lib 1.0
Container {


    layout: DockLayout {


    }


    //background image
    ImageView {
        imageSource: "asset:///images/FlipClock/flipclock-retina/clock_bg.png"
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center


    }


    Container {


        layout: StackLayout {


        }
        onCreationCompleted: {
            if (screeninfo.isPassport) {
                regTitle.topPadding=20
                regCode.topPadding=125; 
            }
        }
        
        id: regTitle

        horizontalAlignment: HorizontalAlignment.Center
        Label {
            id: regTitleLabel
            text: qsTr("Registration Code") + Retranslate.onLanguageChanged
            horizontalAlignment: HorizontalAlignment.Center
            textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
        }
        Container {
            id: regCode
            
            horizontalAlignment: HorizontalAlignment.Center
            topPadding: 15
            Label {
                id: regCodeLabel
                text: "37798-22224"
                textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 16.0
            }
        }
    }


    function setCode(code) {
        regCodeLabel.setText(code)
    }


    function copyCode() {
        clipboard.setText(regCodeLabel.text);
    }
    contextActions: [
        ActionSet {
            actions: [
                ActionItem {
                    id: actionCopy
                    title: qsTr("Copy Registration Code") + Retranslate.onLanguageChanged
                    imageSource: "asset:///images/BBActions/ic_copy.png"
                    onTriggered: {
                        copyCode();
                    }
                }
            ]
        } // end of ActionSet
    ]
    attachedObjects: [
        QmlClipboard {
            id: clipboard
        }
    ]
}
