import bb.cascades 1.0



KeyListener {

    signal numberPressed(int number)

    signal backPressed()

    signal enterPressed()

    

    onKeyPressed: {

        console.log(event.key)

        if (event.pressed) {

            var number = getPressed(event.key)

            if(number >= 0)

            {

                numberPressed(number)

            }

            else if(number === -1)

            {

                backPressed()

            }

            else if(number === -2)

            {

                enterPressed()

            }

            

        }

    }

    function getPressed(key) {

        var number;

        switch (key) {

            case 8: 

                //backspace

                number = -1

                break;

            case 13:

                //enter

                number = -2

                break;

            case 119:

                number = 1;

                break;

            case 101:

                number = 2;

                break;

            case 114:

                number = 3;

                break;

            case 115:

                number = 4;

                break;

            case 100:

                number = 5;

                break;

            case 102:

                number = 6;

                break;

            case 122:

                number = 7;

                break;

            case 120:

                number = 8;

                break;

            case 99:

                number = 9;

                break;

            default:

                number = key - 48

        }

        if (number >= -2 && number <= 9) {

            return number;

        } else {

            return -3;

        }

    }

}

