import bb.cascades 1.0


Container {
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight


    }
    // A work around for 10.3.1 on BB Classic
    // Create an empty textfield so that the OTP code
    // displays in the centre, and without any added
    // background colouring.  Since it's a element of
    // zero width, it doesn't impact the other platforms.
    TextField {
        maxWidth: 0;
        backgroundVisible: false
        preferredWidth: 0;
    }
    Container {
        id: leftDigits
        rightPadding: 10
        layout: StackLayout {


        }
        Container {
            id: topLeftDigits
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            DigitImageView {
                digitObjectName: "d0a"
            }


            DigitImageView {


                digitObjectName: "d1a"
            }
            DigitImageView {


                digitObjectName: "d2a"
            }


            DigitImageView {


                digitObjectName: "d3a"
            }


        }
        Container {
            id: bottomLeftDigits
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            DigitImageView {


                digitObjectName: "d0b"
            }
            DigitImageView {


                digitObjectName: "d1b"
            }
            DigitImageView {


                digitObjectName: "d2b"
            }
            DigitImageView {


                digitObjectName: "d3b"
            }
        }
    }
    Container {
        leftPadding: 10
        id: rightDigits
        layout: StackLayout {


        }
        Container {
            id: topRightDigits
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            DigitImageView {


                digitObjectName: "d4a"
            }
            DigitImageView {


                digitObjectName: "d5a"
            }
            DigitImageView {


                digitObjectName: "d6a"
            }
            DigitImageView {


                digitObjectName: "d7a"
            }
        }
        Container {
            id: bottomRightDigits
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            DigitImageView {


                digitObjectName: "d4b"
            }
            DigitImageView {


                digitObjectName: "d5b"
            }
            DigitImageView {


                digitObjectName: "d6b"
            }
            DigitImageView {


                digitObjectName: "d7b"
            }
        }
    }

    // A work around for 10.3.1 on BB Classic
    TextField {
        maxWidth: 0;
        backgroundVisible: false
        preferredWidth: 0;
    }
    
    contextActions: [
        ActionSet {
            actions: [
                ActionItem {
                    id: actionCopy
                    objectName: "actionCopy"
                    title: qsTr("Copy Security Code") + Retranslate.onLanguageChanged
                    imageSource: "asset:///images/BBActions/ic_copy.png"
                }
            ]
        } // end of ActionSet
    ]
}
