import bb.cascades 1.0
import custom.lib 1.0
import "../Components/Shared"
import "../Components/UseIdentity"
import "../../Styles/Colors.js" as Colors
ContentContainer {
    contents: useIdentityContainer
    property alias otp: otpCode
    attachedObjects: [


        Container {
            id: useIdentityContainer
            layout: StackLayout {


            }


            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            Container {


                id: logoContainer
                layout: DockLayout {


                }
                horizontalAlignment: HorizontalAlignment.Center
                topPadding: 20.0
                bottomPadding: 10.0
                ImageView {
                    id: logoBackgroundImageView
                    imageSource: "asset:///images/Backgrounds/background_logo_retina.png"
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    visible: false
                }
                WebImageView {
                    id: identityLogo
                    objectName: "otpIdentityLogo"
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    onImageChanged: {
                        logoBackgroundImageView.setVisible(isValid)
                    }
                }
            }
            Container {
                topPadding: 10.0
                bottomPadding: 10.0
                bottomMargin: 37
                onTouch: {
                    if(event.touchType == TouchType.Up)
                    {
                        otpContainer.bottomMargin -=1
                        console.log(otpContainer.bottomMargin)
                    }
                }
                id: otpContainer


                layout: StackLayout {


                }
                horizontalAlignment: HorizontalAlignment.Center
                Container {
                    id: otpLabelContainer


                    layout: DockLayout {


                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {


                        horizontalAlignment: HorizontalAlignment.Center
                        imageSource: "asset:///images/FlipClock/flipclock-retina/clock_bg.png"


                    }
                    Container {
                        onCreationCompleted: {
                            if (screeninfo.isPassport) {
                                //clockimage.imageSource =  "asset:///1440x1440/images/FlipClock/flipclock-retina/clock_bg.png"  
                                //otpdisplay.preferredWidth = 850;                              
                                otpdisplay.topPadding=25
                                securityCodeLabel.bottomMargin = 70;
                                timerBackground.horizontalAlignment = horizontalAlignment.Fill
                                timerBackground.preferredWidth = 1200;
                            }
                        }
                        
                        id: otpdisplay
                        layout: StackLayout {


                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        topPadding: 5.0
                        Label {
                            id: securityCodeLabel
                            
                            text: qsTr("Security Code") + Retranslate.onLanguageChanged
                            textStyle.color: Color.White
                            horizontalAlignment: HorizontalAlignment.Center
                            textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 8.0
                        }
                        OTPCodeContainer {
                            OTPCode {
                                topPadding: 5.0
                                id: otpCode
                            } 
                        }
                    }
                }
                Container {
                    id: timerContainer


                    layout: DockLayout {


                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        id: timerBackground
                        imageSource: "asset:///images/FlipClock/flipclock-retina/progressBar.png"
                        horizontalAlignment: HorizontalAlignment.Center


                    }
                    Container {
                        layout: StackLayout {


                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        topPadding: 10.0
                        leftPadding: 100.0
                        rightPadding: 100.0
                        LedProgressCppIndicator {
                            objectName: "otpLedProgressBar"
                        }
                        Container {
                            id: timerInfo


                            layout: DockLayout {


                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            Label {
                                text: "0"
                                horizontalAlignment: HorizontalAlignment.Left
                                textStyle.fontSize: FontSize.PointValue
                                textStyle.fontSizeValue: 7.0
                            }
                            Label {
                                text: qsTr("Lifetime") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Center
                                textStyle.fontSize: FontSize.PointValue
                                textStyle.fontSizeValue: 7.0
                                
                            }
                            Label {
                                text: "30"
                                horizontalAlignment: HorizontalAlignment.Right
                                textStyle.fontSize: FontSize.PointValue
                                textStyle.fontSizeValue: 7.0
                            }
                        }
                    }
                }
            }
        }


    ]
}
