import bb.cascades 1.0

import "../../Components/Shared"

import "../../Components/Info"

import "../../../Styles/Colors.js" as Colors



ContentContainer {

    name: qsTr("Info") + Retranslate.onLanguageChanged

    contents: listViewContainer

    scroll: false

    property variant infoListItemTextOrientation : style.infoListItemTextOrientation

    

    attachedObjects: [

        Container {

            id: listViewContainer

            ListView {

                id: listView

                objectName: "infoListView"

                onTriggered: {

                    var selectedItem = dataModel.data(indexPath);

                    infoControl.pushContainer(selectedItem)

                }

                listItemComponents: [

                    InfoListItemComponent {

                        

                    }

                    

                ]

                // Override the itemType() function to return the proper type

                function itemType(data, indexPath) {

                    return "item"

                }

                function getOrientation()

                {

                    return style.infoListItemTextOrientation;

                }

            }

        }

    ]



}