import bb.cascades 1.0

import "../Components/ManageIdentities"

import "../Components/Shared"

import "../../Styles/Colors.js" as Colors

/**

 * Identites list page shows a list of all Identies that are associated with a user.

 * Also allows a user to edit or add a new Identity

 */

ContentContainer {

    property alias idListView: identitiesList

    // Add the application menu using a MenuDefinition

    contents: identitiesContainer

    name: qsTr("Identities") + Retranslate.onLanguageChanged

    scroll: false

    titleScroll : TitleBarScrollBehavior.Sticky

    

    attachedObjects: [

        //main container with identities

        Container {

            id: identitiesContainer

            horizontalAlignment: HorizontalAlignment.Fill

            verticalAlignment:  VerticalAlignment.Fill

            layout: DockLayout {

                

            }

            

            Container {

                preferredWidth: Infinity

                verticalAlignment: VerticalAlignment.Fill

                touchPropagationMode: TouchPropagationMode.PassThrough

                layout: DockLayout {

                

                }

                Container {

                    horizontalAlignment: HorizontalAlignment.Center

                    verticalAlignment: VerticalAlignment.Center

                    touchPropagationMode: TouchPropagationMode.PassThrough

                    Label {

                        preferredWidth: 600

                        id: addIdentitylabel

                        multiline: true

                        textStyle.textAlign: TextAlign.Center

                        textStyle.fontSize: FontSize.PointValue
textStyle.fontSizeValue: 10.0

                        text: qsTr("No Identities.\nAdd new identities to start accessing the app.") + Retranslate.onLanguageChanged

                        touchPropagationMode: TouchPropagationMode.PassThrough

                    }

                }

            }

            

            //List containing each identity

            IdentitiesList {

                id: identitiesList

                

                onHideList: {

                    addIdentitylabel.setVisible(true)

                }

                onShowList: {

                    addIdentitylabel.setVisible(false)

                }

            }

            

            

        }



    ] //end master container

}//end page

