import bb.cascades 1.0


import "../../Styles/Colors.js" as Colors


Pin
{
    property variant firstPin: ""
    signal pinCreated(string pin)
    name: qsTr("Change PIN")
    instructions: qsTr("Please enter a new PIN.")


    onTextChanging:
    {
        if(text != "" &&
        instructions === qsTr("PINs entered do not match.")|| 
        instructions === qsTr("The entered PIN is not secure."))
        {
            instructions = qsTr("Please enter a new PIN.");
            info.showError(false);
        }
    }
    onPinEntered: 
    {
        identities.isPinValidResult.connect(isPinValidResult)
        identities.isPinValid(pin)
    }
    function isPinValidResult(isValid, pin)
    {
        identities.isPinValidResult.disconnect(isPinValidResult)
        if(firstPin==="" && isValid == true)
        {
            firstPin = pin;
            instructions = qsTr("Please enter the PIN again to confirm.");
        }
        else if(firstPin==="" && isValid == false)
        {
            instructions = qsTr("The entered PIN is not secure.");
            info.showError(true);
        }
        else if( pin === firstPin && isValid == true)
        {
            identities.setPin(pin)
            pinCreated(pin)
        }
        else if(!(pin === firstPin) && isValid == true )
        {
            instructions = qsTr("PINs entered do not match.")
            info.showError(true);
            firstPin = ""
        }
        else
        {
            console.log("other result");
        }
        //second invalid
        clearPin();
    }
    function begin()
    {
        instructions = qsTr("Please enter a new PIN.");        
        identities.showKeyboard();
        firstPin = ""
    }
}